.ae-basic-hud {
    position: fixed;
}

.ae-basic-hud .select-icon {
    flex: none;
    margin-left: -30px;
    width: 30px;
    font-size: 20px;
    color: rgba(255, 255, 255, 0);
    cursor: move;
}

.ae-basic-hud:hover .select-icon {
    color: white;
}
.ae-basic-hud .select-icon:hover {
    color: white;
}

/* For the scene dangerosity level */

.ae-basic-hud.ae-dangerosity-hud {
    z-index: 71;
    height: 80px;
    width: 80px;
    background-image: url('../resources/danger-level.webp');
    background-size: contain;
    opacity: 0.7;
}
.ae-basic-hud.ae-dangerosity-hud:hover {
    opacity: 1;
}
.ae-basic-hud.ae-dangerosity-hud .select-icon {
    line-height: 80px;
}

.ae-basic-hud.ae-dangerosity-hud .danger-level {
    font-size: 2.5em;
    -webkit-text-fill-color: lightgrey;
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: black;
    line-height: 45px;
    padding-top: 35px;
    text-align: center;
}
.ae-basic-hud.ae-dangerosity-hud .danger-level.asGM:hover {
    cursor: pointer;
}

/* For the table background displaying tokens */

.ae-basic-hud.ae-tokens-hud {
    z-index: 72;
    height: 54px;
    background: rgba(0, 0, 0, 0.5);
    border: 3px groove;
    border-radius: 3px;
    align-items: flex-end;
}
.ae-basic-hud.ae-tokens-hud .select-icon {
    line-height: 50px;
}

.ae-basic-hud.ae-tokens-hud.red {
    background: rgba(100, 0, 0, 0.5);
}

.ae-basic-hud.ae-tokens-hud.blue {
    background: rgba(0, 0, 100, 0.5);
}


.ae-tokens-hud .slot {
    flex: unset;
    width: 50px;
    height: 50px;
}


.ae-tokens-hud .slot.portrait {
    border: none;
    margin-right: 10px;
    cursor: pointer;
}


.ae-tokens-hud .slot.token {
    font-size: 1.7em;
    -webkit-text-fill-color: lightgrey;
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: black;
    line-height: 15px;
    padding-top: 3px;

    background-size: 50px 50px;
    background-position: top 4px left 0px;
    text-align: center;
    font-weight: bold;

    margin-left: 2px;
    
    cursor: pointer;
}

.ae-tokens-hud .token.transparent {
    opacity: 0.5;
}

.ae-tokens-hud .slot.weapon {
    width: 40px;
    height: 40px;
    border: 2px groove darkgrey;

    margin-right: 10px;
    margin-bottom: 3px;
    cursor: pointer;
}

.ae-tokens-hud .slot.trouble {
    width: 150px;
    border: none;
    margin-left: 5px;
    margin-right: 2px;
    cursor: pointer;
}

.ae-tokens-hud .slot.dice {
    width: 93px;
    border: none;
    margin-left: 5px;
    margin-right: 2px;
    cursor: pointer;
}
.ae-tokens-hud .slot.dice:hover {
    box-shadow: 0 0 5px darkblue inset;
}

